# PointLightShadow - Three.js Docs

LightShadow →

# PointLightShadow

Represents the shadow configuration of point lights.

## Constructor

### new PointLightShadow ()

Constructs a new point light shadow.

## Properties

### .isPointLightShadow : boolean (readonly)

This flag can be used for type testing.

Default is `true`.

## Methods

### .updateMatrices ( light : Light, viewportIndex : number )

Update the matrices for the camera and shadow, used internally by the renderer.

light | The light for which the shadow is being rendered.
viewportIndex | The viewport index. Default is `0`.

Overrides: LightShadow#updateMatrices

## Source

src/lights/PointLightShadow.js